## xarray-safe-s1 2025.09.25

=== docs/requirements.txt ===
sphinx>=4
sphinx-book-theme
ipython

## xarray-safe-s1 2023.06.13

=== debian/changelog ===
xarray-safe-s1 (2023.06.13-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Jul 2023 20:17:17 +0200

xarray-safe-s1 (2023.06.13-1) unstable; urgency=medium

  * Initial release (Closes: #1041726).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 22 Jul 2023 16:56:35 +0000

=== debian/control ===
Source: xarray-safe-s1
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-affine,
               python3-aiohttp,
               python3-all,
               python3-dask,
               python3-fsspec,
               python3-geopandas,
               python3-jmespath,
               python3-lxml,
               python3-numpy,
               python3-pandas,
               python3-pyproj,
               python3-rasterio,
               python3-rioxarray,
               python3-setuptools,
               python3-setuptools-scm,
               python3-shapely,
               python3-xarray,
               python3-xarray-datatree
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-pybuild
Rules-Requires-Root: no
Homepage: https://github.com/umr-lops/xarray-safe-s1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/xarray-safe-s1
Vcs-Git: https://salsa.debian.org/debian-gis-team/xarray-safe-s1.git
Description: Xarray Sentinel1 Python SAFE files reader
 safe_s1 rely on xarray.open_rasterio and rasterio to read
 digital_number from SAFE product to return an xarray-datatree.
 .
 Luts are decoded from xml files following ESA Sentinel-1 Product
 Specification.
 .
 safe_s1.metadata.Sentinel1reader is the main class and contains
 a xarray-datatree with the useful data.

Package: python3-xarray-safe-s1
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=safe_s1
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

## xarray-safe-s1 2023.12.07

=== debian/changelog ===
xarray-safe-s1 (2023.12.07-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * New upstream release.
  * New d/python3-xarray-safe-s1.lintian-overrides file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 11:20:07 +0000

## xarray-safe-s1 2024.01.09

=== debian/changelog ===
xarray-safe-s1 (2024.01.09-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 10 Jan 2024 06:41:05 +0000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-affine,
                python3-aiohttp,

## xarray-safe-s1 2024.04.19.post1

=== debian/changelog ===
xarray-safe-s1 (2024.04.19.post1-1) unstable; urgency=medium

  * New upstrean release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 28 Apr 2024 07:41:26 +0000

## xarray-safe-s1 2024.05.06

=== debian/changelog ===
xarray-safe-s1 (2024.05.06-1) unstable; urgency=medium

  * Set distribution to unstable.
  * debian/patches:
    - New 0001-Remove-set_trace.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 10 May 2024 08:22:48 +0000

## xarray-safe-s1 2024.05.16

=== debian/changelog ===
xarray-safe-s1 (2024.05.16-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 17 May 2024 05:26:06 +0000

## xarray-safe-s1 2024.11.28

=== debian/changelog ===
xarray-safe-s1 (2024.11.28-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 04 Dec 2024 06:35:57 +0000

xarray-safe-s1 (2024.11.12-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Refresh all patches.
  * debian/control:
    - Drop dependency on xarray-datatree and require xarray (>= 2024.10.0).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 25 Nov 2024 17:50:43 +0000

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,8 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-shapely,
-               python3-xarray,
-               python3-xarray-datatree
-Standards-Version: 4.6.2
+               python3-xarray (>= 2024.10.0)
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 Homepage: https://github.com/umr-lops/xarray-safe-s1

## xarray-safe-s1 2025.03.24

=== debian/changelog ===
xarray-safe-s1 (2025.03.24-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Mar 2025 12:09:19 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-setuptools-scm,
                python3-shapely,
                python3-xarray (>= 2024.10.0)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 Homepage: https://github.com/umr-lops/xarray-safe-s1

## xarray-safe-s1 2025.06.02

=== debian/changelog ===
xarray-safe-s1 (2025.06.02-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Aug 2025 15:57:41 +0000

## xarray-safe-s1 2025.09.25

=== debian/changelog ===
xarray-safe-s1 (2025.09.25-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update lintian overrides.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Drop "Rules-Requires-Root: no", no longer needed.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Sep 2025 09:05:34 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
                python3-xarray (>= 2024.10.0)
 Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 Homepage: https://github.com/umr-lops/xarray-safe-s1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/xarray-safe-s1
 Vcs-Git: https://salsa.debian.org/debian-gis-team/xarray-safe-s1.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=safe_s1
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?\/archive\/.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/umr-lops/xarray-safe-s1/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## xarray-safe-s1 2025.12.4

=== debian/changelog ===
xarray-safe-s1 (2025.12.4-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use test-build-validate-cleanup instead of test-build-twice.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 05 Dec 2025 08:53:24 +0000

## xarray-safe-s1 2026.1.23

=== debian/changelog ===
xarray-safe-s1 (2026.1.23-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Jan 2026 18:58:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: xarray-safe-s1
 Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
@@ -23,7 +22,7 @@
                python3-setuptools-scm,
                python3-shapely,
                python3-xarray (>= 2024.10.0)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/umr-lops/xarray-safe-s1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/xarray-safe-s1
